﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSCOMMON_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_LOTBILLCONF') 
 CREATE TABLE T_MSMOD_LOTBILLCONF (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLOBJ NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLENTRY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLFILTER NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMOVEDIRECTION CHAR(1) DEFAULT 'A' NOT NULL,
FGENLOT CHAR(1) DEFAULT '1' NOT NULL,
FLOTIDFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLOTID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLOTNUMBERFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_LOTBILLCONF_L') 
 CREATE TABLE T_MSMOD_LOTBILLCONF_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_LOTCFGRETENTRY') 
 CREATE TABLE T_MSMOD_LOTCFGRETENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLOTMFRETURNCOLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLOTMFRETURNCOL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLOTMFRETURNSRCBILLCOLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLOTMFRETURNSRCBILLCOL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSELECTCONDITION CHAR(1) DEFAULT '0' NOT NULL,
FRETURNBILL CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_LOTCFGTRKENTRY') 
 CREATE TABLE T_MSMOD_LOTCFGTRKENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTRACKCOLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTRACKCOL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTRACKSRCBILLCOLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTRACKSRCBILLCOL NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_LOTMFUNIRANGECONF_L') 
 CREATE TABLE T_MSMOD_LOTMFUNIRANGECONF_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_LOTMFUNIRANGECONF') 
 CREATE TABLE T_MSMOD_LOTMFUNIRANGECONF (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT '1' NOT NULL,
FUNIQUERANGE CHAR(1) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINTRODUCE NVARCHAR(200) DEFAULT '修改说明：生成批号主档后，为了避免冲突，唯一值范围只能缩小，不允许扩大' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_LOTBILLCFGMFENTRY') 
 CREATE TABLE T_MSMOD_LOTBILLCFGMFENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMAINFCOLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMAINFCOL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMAINFSRCBILLCOLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMAINFSRCBILLCOL NVARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSCOMMON_table.sql **/
