--高热点并发预留快照表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_RESERVE_BAL_SP')
 CREATE TABLE T_MSMOD_RESERVE_BAL_SP (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE  DATETIME,
FOPSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FTRANSID  BIGINT DEFAULT 0 NOT NULL,
FBALANCENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDBROUTEKEY   NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINVID  BIGINT DEFAULT 0 NOT NULL,
FRESERVERECORDID  BIGINT DEFAULT 0 NOT NULL,
FBASEQTY  DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTY2ND DECIMAL(23,10) DEFAULT 0 NOT NULL
);

 --高热点并发预留快照表索引
 EXEC P_ALTERPK 'PK_T_MSMOD_RESERVE_BALSP', 'T_MSMOD_RESERVE_BAL_SP', 'FID', '1';
 --库存ID索引
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSMOD_RESERVE_BALSP_INVID') CREATE INDEX IDX_MSMOD_RESERVE_BALSP_INVID ON T_MSMOD_RESERVE_BAL_SP ( FINVID );