﻿/**Begin D:\PDM_UPGRADE\PDM1\MSCOMMON_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_AUTOGENEBILL_E') 
 CREATE TABLE T_MSMOD_AUTOGENEBILL_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCBILLTYPEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FTARGETBILLTYPEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBOTPRULEID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_MATCHCDIT_E') 
 CREATE TABLE T_MSMOD_MATCHCDIT_E (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCBILLFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPARISON NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTARGETBILLFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETBILLFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_MATCHRELATE_E') 
 CREATE TABLE T_MSMOD_MATCHRELATE_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FTARGETBILLTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_MATCHRULE') 
 CREATE TABLE T_MSMOD_MATCHRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FWRITEOFFTYPEID BIGINT DEFAULT 0 NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_MATCHRULE_L') 
 CREATE TABLE T_MSMOD_MATCHRULE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_REWRITERULE') 
 CREATE TABLE T_MSMOD_REWRITERULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FWRITEOFFTYPEID BIGINT DEFAULT 0 NOT NULL,
FREWRITEPLUGIN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_REWRITERULE_L') 
 CREATE TABLE T_MSMOD_REWRITERULE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_REWRITERULEENTRY') 
 CREATE TABLE T_MSMOD_REWRITERULEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FREWRITEBILLLID BIGINT DEFAULT 0 NOT NULL,
FREWRITEBILLLFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSELECTVALUE CHAR(1) DEFAULT ' ' NOT NULL,
FWRITEOFFFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCALCULATEFORMULA NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATIONCOLUMNAP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREWRITEMETHOD CHAR(1) DEFAULT ' ' NOT NULL,
FBILLFIELDNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWRITEOFFFIELDNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCALFORMULADESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCALFORMULADESC_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_SCHEME') 
 CREATE TABLE T_MSMOD_SCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FWRITEOFFTYPE BIGINT DEFAULT 0 NOT NULL,
FPRECUT CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIBE NVARCHAR(512) DEFAULT ' ' NOT NULL,
FISUNCONDITIONMATCH CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_SCHEME_BILLENTRY') 
 CREATE TABLE T_MSMOD_SCHEME_BILLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FWRITEOFFBILL BIGINT DEFAULT 0 NOT NULL,
FWRITEOFFBILLFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTERCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTERCONDITION_TAG NCLOB,
FFILTERCONDITIONDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTERCONDITIONDESC_TAG NCLOB,
FWRITEOFFOP NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREWRITEOFFOP NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_SCHEME_L') 
 CREATE TABLE T_MSMOD_SCHEME_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_SCHEME_SORTENTRY') 
 CREATE TABLE T_MSMOD_SCHEME_SORTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FWRITEOFFSCHEME BIGINT DEFAULT 0 NOT NULL,
FPRIORITY INT DEFAULT 0 NOT NULL,
FRBPRIORITY CHAR(1) DEFAULT ' ' NOT NULL,
FWHOLE CHAR(1) DEFAULT ' ' NOT NULL,
FEQUALSFIRST CHAR(1) DEFAULT ' ' NOT NULL,
FONLYEQUALS CHAR(1) DEFAULT ' ' NOT NULL,
FUNILATERAL CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_SCHEMESET') 
 CREATE TABLE T_MSMOD_SCHEMESET (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FWRITEOFFTYPEID BIGINT DEFAULT 0 NOT NULL,
FPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_SCHEMESET_L') 
 CREATE TABLE T_MSMOD_SCHEMESET_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_SMMATCHENTRY') 
 CREATE TABLE T_MSMOD_SMMATCHENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATCHRULEID BIGINT DEFAULT 0 NOT NULL,
FRULEDESCRIBE NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_SMSORTENTRY') 
 CREATE TABLE T_MSMOD_SMSORTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSORTBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSORTTYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_WFBILLSETENTRY') 
 CREATE TABLE T_MSMOD_WFBILLSETENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FWRITEOFFBILLTYPEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FFILTERCONDITIONVIEW NVARCHAR(512) DEFAULT ' ' NOT NULL,
FFILTERCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTERCONDITION_TAG NCLOB,
FFILTERCONDITIONDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTERCONDITIONDESC_TAG NCLOB,
FISAUTOGENERATE CHAR(1) DEFAULT '0' NOT NULL,
FISINVOLVED CHAR(1) DEFAULT '1' NOT NULL,
FWRITEOFFBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWRITEOFFBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FWRITEOFFTYPENUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FWRITEOFFBILLTENABLE CHAR(1) DEFAULT '1' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FALIAS NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_WFFIELDSUBENTRY') 
 CREATE TABLE T_MSMOD_WFFIELDSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FWRITEOFFFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWRITEOFFFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWRITEOFFCALCFIELD CHAR(1) DEFAULT '0' NOT NULL,
FCALCULATIONRULE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_WRITEOFFTYPE') 
 CREATE TABLE T_MSMOD_WRITEOFFTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FWRITEOFFRECORDBILLID VARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_WRITEOFFTYPE_L') 
 CREATE TABLE T_MSMOD_WRITEOFFTYPE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512) DEFAULT ' ' NOT NULL
);


/**End D:\PDM_UPGRADE\PDM1\MSCOMMON_table.sql **/
