﻿/** 预置定时清除报表查询日志调度任务 **/

 -- 调度任务
DELETE FROM T_SCH_TASKDEFINE WHERE FID='3E6NA=P41K+A';
INSERT INTO T_SCH_TASKDEFINE (FID, FCLASSNAME, FNUMBER, FAPPID) VALUES('3E6NA=P41K+A', 'kd.bplat.scmc.report.task.RptClearLogTask', 'RptClearLog', 'mscommon');

DELETE FROM T_SCH_TASKDEFINE_L WHERE FID='3E6NA=P41K+A';
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES('3E6SCCDSTZ8V', '3E6NA=P41K+A', 'zh_CN', '定期清理极速报表日志');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES('3E6SCCDSTZ8W', '3E6NA=P41K+A', 'zh_TW', '定期清理極速報表日誌');

 -- 调度作业
DELETE FROM T_SCH_JOB WHERE FID='3E6ONY/CZQMF';
INSERT INTO T_SCH_JOB (FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FNUMBER, FTASKDEFINEID, FSTATUS, FPARAMS, FTIMEOUT, FRUNBYORGID, FRUNBYLANG, FCONCURRENT, FRUNMODE, FSTRATEGY, FRETRYTIME) VALUES ('3E6ONY/CZQMF', 'BIZ', 'kd.bplat.scmc.report.task.RptClearLogTask', 1, 'mscommon_RptClearLog_SKDJ_S', '3E6NA=P41K+A', '1', '{"hold_day":"10"}', 0, 0, ' ', '0', '0', '1', 0);

DELETE FROM T_SCH_JOBPARAMS WHERE FID='3E6ONY/CZQMF';
INSERT INTO T_SCH_JOBPARAMS (FID, FENTRYID, FSEQ, FPARAMNAME, FPARAMVALUE) VALUES ('3E6ONY/CZQMF', '3E6QYEVQ5YE9', 1, 'hold_day', '10');


DELETE FROM T_SCH_JOB_L WHERE FID='3E6ONY/CZQMF';
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('3E6ONY/CZPZ6', '3E6ONY/CZQMF', 'zh_CN', '定期清理极速报表日志');
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('3E6ONY/CZPZ7', '3E6ONY/CZQMF', 'zh_TW', '定期清理極速報表日誌');


 -- 调度计划
DELETE FROM T_SCH_SCHEDULE WHERE FID='3E6QRFCRHG9D';
INSERT INTO T_SCH_SCHEDULE (FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FCYCLENUM, FHOST, FSUN, FSAT, FFRI, FTHUR, FWED, FTUES, FMON, FONE, FTWO, FTHIRTYONE, FTHIRTY, FTWENTYNINE, FTWENTYEIGHT, FTWENTYSEVEN, FTWENTYSIX, FTWENTYFIVE, FTWENTYFOUR, FTWENTYTHREE, FTWENTYTWO, FTWENTYONE, FTWENTY, FNINETEEN, FEIGHTEEN, FSEVENTEEN, FSIXTEEN, FFIFTEEN, FFOURTEEN, FTHIRTEEN, FTWELVE, FELEVEN, FTEN, FNINE, FEIGHT, FSEVEN, FSIX, FFIVE, FFOUR, FTHREE, FNO, FNOWEEK, FJAN, FDEC, FNOV, FOCT, FSEP, FAUG, FJUL, FJUN, FMAY, FAPR, FMAR, FFEB, FBYWEEK, FBYDAYORWEEK, FDESC, FREPEATMODE) VALUES ('3E6QRFCRHG9D', '3E6ONY/CZQMF', {ts'2023-07-12 00:00:01'}, {ts '2099-07-12 00:00:01'}, '0 0 5 ? * 2', 'RptClearLog', '1', 1, '172.19.105.168', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'w', '事件将于2023-07-12 00:00:01起，每1周的星期一5时重复。
预计最近十次执行时间：
2023-07-17 05:00:00,
2023-07-24 05:00:00,
2023-07-31 05:00:00,
2023-08-07 05:00:00,
2023-08-14 05:00:00,
2023-08-21 05:00:00,
2023-08-28 05:00:00,
2023-09-04 05:00:00,
2023-09-11 05:00:00,
2023-09-18 05:00:00', 'w');


DELETE FROM T_SCH_SCHEDULE_L WHERE FID='3E6QRFCRHG9D';

INSERT INTO T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('3E6QRFCRHFL4', '3E6QRFCRHG9D', 'zh_CN', '定期清理极速报表日志');
INSERT INTO T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('3E6QRFCRHFL5', '3E6QRFCRHG9D', 'zh_TW', '定期清理極速報表日誌');


DELETE FROM T_SCH_SCHEDULE_ENTRY WHERE FID='3E6QRFCRHG9D';
INSERT INTO T_SCH_SCHEDULE_ENTRY (FID, FENTRYID, FSEQ, FJOBNUMBER) VALUES ('3E6QRFCRHG9D', '3E6QRFCRHG9E', 1, '3E6ONY/CZQMF');

/** 预置定时清除报表查询日志调度任务 **/


