﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSCOMMON_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_SHARERULE_L') 
 CREATE TABLE T_MSMOD_SHARERULE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIBE NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_SCHEME' AND KSQL_COL_NAME ='FSHARERULEID') 
 ALTER TABLE T_MSMOD_SCHEME ADD (FSHARERULEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_SHARERULE_MATCH') 
 CREATE TABLE T_MSMOD_SHARERULE_MATCH (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCWFBILLALIAS BIGINT DEFAULT 0 NOT NULL,
FSRCBILLFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPARISON NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTGTWFBILLALIAS BIGINT DEFAULT 0 NOT NULL,
FTARGETBILLFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETBILLFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATCHPRESET CHAR(1) DEFAULT '0' NOT NULL,
FEMPTYEQUAL CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_SHARERULE_STAND') 
 CREATE TABLE T_MSMOD_SHARERULE_STAND (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSHAREWFBILLALIAS BIGINT DEFAULT 0 NOT NULL,
FSTANDARDPRESET CHAR(1) DEFAULT '0' NOT NULL,
FSHAREWEIGHT CHAR(1) DEFAULT ' ' NOT NULL,
FSHAREBILLFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHAREBILLFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTANDFILTERCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTANDFILTERCONDITIONDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTANDFILTERCONDITIONDESC_TAG NCLOB,
FVALUEMETHOD CHAR(1) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT ' ' NOT NULL,
FWFFIELDPLUGIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPLUGINDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSHAREDEMBILLMATCHTYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_SHARERULE_STAND_L') 
 CREATE TABLE T_MSMOD_SHARERULE_STAND_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPLUGINDESCRIPTION NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_SHARERULE_STDCOND') 
 CREATE TABLE T_MSMOD_SHARERULE_STDCOND (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSTDCONDPRESET CHAR(1) DEFAULT '0' NOT NULL,
FFILTERCONDITIONDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTERCONDITIONDESC_TAG NCLOB,
FWFBILLALIAS BIGINT DEFAULT 0 NOT NULL,
FFILTERCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_SHARERULE') 
 CREATE TABLE T_MSMOD_SHARERULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FWRITEOFFTYPEID BIGINT DEFAULT 0 NOT NULL,
FDESCRIBE NVARCHAR(512) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSCOMMON_table.sql **/
