﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSCOMMON_constraint.sql **/


 EXEC P_ALTERPK 'PK_SCHEME_DATA_SOURCE', 'T_SCHEME_DATA_SOURCE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_DATA_SOURCE_FID') CREATE INDEX IDX_SCHEME_DATA_SOURCE_FID ON T_SCHEME_DATA_SOURCE ( FID );


 EXEC P_ALTERPK 'PK_SCHEME_RULEENTRY', 'T_SCHEME_RULEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_RULEENTRY_FID') CREATE INDEX IDX_SCHEME_RULEENTRY_FID ON T_SCHEME_RULEENTRY ( FID );


 EXEC P_ALTERPK 'PK_SCHEME_STRATEGY', 'T_SCHEME_STRATEGY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_STRATEGY_FID') CREATE INDEX IDX_SCHEME_STRATEGY_FID ON T_SCHEME_STRATEGY ( FID );


 EXEC P_ALTERPK 'PK_MSMOD_RELEASE_RECORD', 'T_MSMOD_RELEASE_RECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSMOD_RELEASE_RD_F_RERDID') CREATE INDEX IDX_MSMOD_RELEASE_RD_F_RERDID ON T_MSMOD_RELEASE_RECORD ( F_RESERVE_RECORD_ID );


 EXEC P_ALTERPK 'PK_T_MSMOD_DATASOURCE_L', 'T_MSMOD_DATASOURCE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_DATASOURCE_L_ID') CREATE INDEX IDX_T_MSMOD_DATASOURCE_L_ID ON T_MSMOD_DATASOURCE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MSMOD_REQ_MATCH_L', 'T_MSMOD_REQ_MATCH_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_REQ_MATCH_L_ID') CREATE INDEX IDX_T_MSMOD_REQ_MATCH_L_ID ON T_MSMOD_REQ_MATCH_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MSMOD_RESERVE_RULE_L', 'T_MSMOD_RESERVE_RULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_RESERVE_RULE_L_ID') CREATE INDEX IDX_T_MSMOD_RESERVE_RULE_L_ID ON T_MSMOD_RESERVE_RULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MSMOD_STRAGTEGY_L', 'T_MSMOD_STRAGTEGY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_STRAGTEGY_L_FID') CREATE INDEX IDX_T_MSMOD_STRAGTEGY_L_FID ON T_MSMOD_STRAGTEGY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MSMOD_REQ_MATCH', 'T_MSMOD_REQ_MATCH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSMOD_REQ_MATCH_FNUM') CREATE INDEX IDX_MSMOD_REQ_MATCH_FNUM ON T_MSMOD_REQ_MATCH ( F_NUMBER );


 EXEC P_ALTERPK 'PK_MSMOD_RESERVE_RULE', 'T_MSMOD_RESERVE_RULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSMOD_RESERVE_RULE_FNUM') CREATE INDEX IDX_MSMOD_RESERVE_RULE_FNUM ON T_MSMOD_RESERVE_RULE ( F_NUMBER );


 EXEC P_ALTERPK 'PK_T_MSMOD_RESERVE_SCHEME_L', 'T_MSMOD_RESERVE_SCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_MSMOD_RESERVE_SCHEME_ID') CREATE INDEX INDEX_MSMOD_RESERVE_SCHEME_ID ON T_MSMOD_RESERVE_SCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MSMOD_DATASOURCE', 'T_MSMOD_DATASOURCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSMOD_DATASOURCE_FNUM') CREATE INDEX IDX_MSMOD_DATASOURCE_FNUM ON T_MSMOD_DATASOURCE ( F_NUMBER );


 EXEC P_ALTERPK 'PK_T_MSMOD_ENUMVALUE', 'T_MSMOD_ENUMVALUE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSMOD_ENUMVALUE_ENTITYID') CREATE INDEX IDX_MSMOD_ENUMVALUE_ENTITYID ON T_MSMOD_ENUMVALUE ( FENTITYID );


 EXEC P_ALTERPK 'PK_T_MSMOD_MATERIALINFO', 'T_MSMOD_MATERIALINFO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSMOD_MATERIALINFO_ID') CREATE INDEX IDX_MSMOD_MATERIALINFO_ID ON T_MSMOD_MATERIALINFO ( FID );


 EXEC P_ALTERPK 'PK_T_MSMOD_ENUMVALUE_L', 'T_MSMOD_ENUMVALUE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSMOD_ENUMVALUE_L_FID') CREATE INDEX IDX_MSMOD_ENUMVALUE_L_FID ON T_MSMOD_ENUMVALUE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MSMOD_RULE_ENTRY', 'T_MSMOD_RULE_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSMOD_RULE_ENTRY_FID') CREATE INDEX IDX_MSMOD_RULE_ENTRY_FID ON T_MSMOD_RULE_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_MSMOD_STRAGTEGY', 'T_MSMOD_STRAGTEGY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSMOD_STRAGTEGY_FNUM') CREATE INDEX IDX_MSMOD_STRAGTEGY_FNUM ON T_MSMOD_STRAGTEGY ( F_NUMBER );


 EXEC P_ALTERPK 'PK_T_MSMOD_STDREQUESTBILL', 'T_MSMOD_STDREQUESTBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSMOD_STDREQUESTBILL_ID') CREATE INDEX IDX_MSMOD_STDREQUESTBILL_ID ON T_MSMOD_STDREQUESTBILL ( F_BILL_ID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSMOD_STDREQUESTBILL_NO') CREATE INDEX IDX_MSMOD_STDREQUESTBILL_NO ON T_MSMOD_STDREQUESTBILL ( F_BILL_NO );


 EXEC P_ALTERPK 'PK_T_MSMOD_FIELD_MAPPING', 'T_MSMOD_FIELD_MAPPING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSMOD_FIELD_MAPPING_NUM') CREATE INDEX IDX_MSMOD_FIELD_MAPPING_NUM ON T_MSMOD_FIELD_MAPPING ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MSMOD_FIELD_MAPPING_L', 'T_MSMOD_FIELD_MAPPING_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSMOD_FIELD_MAPPING_L_ID') CREATE INDEX IDX_MSMOD_FIELD_MAPPING_L_ID ON T_MSMOD_FIELD_MAPPING_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MSMOD_FIELDS', 'T_MSMOD_FIELDS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_FIELDS_ID') CREATE INDEX IDX_T_MSMOD_FIELDS_ID ON T_MSMOD_FIELDS ( FID );


 EXEC P_ALTERPK 'PK_MSMOD_RESERVERECORD', 'T_MSMOD_RESERVERECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSMOD_RESERVERERD_FBILLID') CREATE INDEX IDX_MSMOD_RESERVERERD_FBILLID ON T_MSMOD_RESERVERECORD ( F_BILL_ID ,F_BILLENTRY_ID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSMOD_RESERVERERD_BILLNO') CREATE INDEX IDX_MSMOD_RESERVERERD_BILLNO ON T_MSMOD_RESERVERECORD ( F_BILL_NO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSMOD_RESERVERERD_BILLNO2') CREATE INDEX IDX_MSMOD_RESERVERERD_BILLNO2 ON T_MSMOD_RESERVERECORD ( F_BAL_ID );


 EXEC P_ALTERPK 'PK_MSMOD_RESERVE_SCHEME', 'T_MSMOD_RESERVE_SCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MSMOD_RESERVE_SCE_FNUM') CREATE INDEX IDX_MSMOD_RESERVE_SCE_FNUM ON T_MSMOD_RESERVE_SCHEME ( F_NUMBER );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSCOMMON_constraint.sql **/
